/*
 * $Id: Component_get_name.cpp 82 2008-05-01 16:48:45Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Component.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Component::get_name"
  std::string Component::get_name (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    std::string _return = _entity->get_name();

    log_printf(FUNC,Behavioural,FUNCTION,"End");
    
    return _return;
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              
